Imports IntraSell_DLL

Public Class TischWaehlen

    Public Event TischGewaehlt(ByRef TischIdnr)

    Private Sub Ziffernblock1_AmountChanged(amount As Decimal) Handles Ziffernblock1.AmountChanged
        If Not IsNumeric(amount) Then
            Exit Sub
        End If
        Dim tischGefunden = FirstRow("select idnr from ofAdressen where name like 'T" & amount & "' or name like 'Tisch " & amount & "'")
        If IsNumeric(tischGefunden) Then
            RaiseEvent TischGewaehlt(tischGefunden)
            Me.Close()
        End If
    End Sub

    Private Sub Ziffernblock1_AmountCleared() Handles Ziffernblock1.AmountCleared
        Me.Close()
    End Sub
End Class